---
search:
  tags:
    - Variants
    - GET
seo:
  description: >-
    Ret… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/products/{product_id}/variants/{variant_id}/prices/{store_group_slug}
    endpoint in the Management API.
sidebar:
  label: Get variant prices for store group
  badge: GET
title: Get variant prices for store group
type: openapi-operation
---
Retrieves all prices for a product variant within a specific store group across all its markets.

`GET /api/v1/{team_slug}/{app_slug}/products/{product_id}/variants/{variant_id}/prices/{store_group_slug}`

**Responses**

- `200` — Store group with all its prices and associated markets
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "id": "string",
    "name": "string",
    "prices": [
      {
        "amount_cents_with_tax": 0,
        "created_at": "string",
        "id": "string",
        "market": {
          "active": true,
          "country_codes": [
            "string"
          ],
          "created_at": "string",
          "currency_code": "string",
          "id": "string",
          "locale": "string",
          "name": "string",
          "slug": "string",
          "updated_at": "string"
        },
        "on_sale": true,
        "reference_price_with_tax": 0,
        "sale_end_timestamp": "string",
        "sale_price_with_tax": 0,
        "sale_start_timestamp": "string",
        "status": "active",
        "updated_at": "string"
      }
    ],
    "slug": "string",
    "store_type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
